from iotbx import pdb
from cctbx.xray import ext
from cctbx import adptbx
from scitbx.array_family import flex
from libtbx.test_utils import approx_equal
from cctbx import maptbx
from cctbx import miller
import random, math

exp = math.exp

def kurtosis(x):
  m = flex.mean(x)
  diff = x - m
  d4 = diff*diff*diff*diff
  #
  sigma = math.sqrt( flex.sum(diff*diff)/ x.size() )
  s4 = sigma*sigma*sigma*sigma
  k = flex.sum( d4/s4 )/x.size()
  return k

def run():
  of = open("zz","w")
  y = flex.double()
  x = 0.
  while x<=10:
    #if(i in [10,20,30,40]): y.append(10)
    #else:      y.append(0)
    f1 = exp(-(x-1)**2*10)/1.5#/7
    f2 = exp(-(x-3)**2*10)/2#/9
    f3 = exp(-(x-7)**2*10)/2.5#/8
    f4 = exp(-(x-9)**2*10)/3#/6
    fc = exp(-(x-5)**2*10)
    f = f1+f2 + fc + f3+f4
    y.append(f)
    print >> of, "%15.9f %15.9f" % (x, f)
    print x,f1,f2,f3,f4,fc, f
    x+=0.001
  of.close()
  #
  print maptbx.more_statistics(y).kurtosis()
  print kurtosis(y)

if (__name__ == "__main__"):
  run()
